org.eclipse.viatra.query.runtime.matchers.planning

## Class QueryProcessingException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.eclipse.viatra.query.runtime.matchers.ViatraQueryRuntimeException
        - - org.eclipse.viatra.query.runtime.matchers.planning.QueryProcessingException

- All Implemented Interfaces:
    java.io.Serializable
  Direct Known Subclasses:
    QueryInitializationException, RetePatternBuildException

      public class QueryProcessingException
      extends ViatraQueryRuntimeException

  Since:
    0.9
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `QueryProcessingException(java.lang.String message, java.lang.Object patternDescription)`
    `QueryProcessingException(java.lang.String message, java.lang.String[] context, java.lang.String shortMessage, java.lang.Object patternDescription)`
    `QueryProcessingException(java.lang.String message, java.lang.String[] context, java.lang.String shortMessage, java.lang.Object patternDescription, java.lang.Throwable cause)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected static java.lang.String` | `bind(java.lang.String message, java.lang.String[] context)` Binding the '{n}' (n = 1..N) strings to contextual conditions in 'context'
    `java.lang.Object` | `getPatternDescription()`
    `java.lang.String` | `getShortMessage()`
    `void` | `setPatternDescription(java.lang.Object patternDescription)`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### QueryProcessingException

          public QueryProcessingException(java.lang.String message,
                                          java.lang.Object patternDescription)

      Parameters:
        `message` - The template of the exception message
        `context` - The data elements to be used to instantiate the template. Can be null if no context parameter is defined
        `patternDescription` - the PatternDescription where the exception occurred
      Since:
        2.0

    - #### QueryProcessingException

          public QueryProcessingException(java.lang.String message,
                                          java.lang.String[] context,
                                          java.lang.String shortMessage,
                                          java.lang.Object patternDescription)

      Parameters:
        `message` - The template of the exception message
        `context` - The data elements to be used to instantiate the template. Can be null if no context parameter is defined
        `patternDescription` - the PatternDescription where the exception occurred

    - #### QueryProcessingException

          public QueryProcessingException(java.lang.String message,
                                          java.lang.String[] context,
                                          java.lang.String shortMessage,
                                          java.lang.Object patternDescription,
                                          java.lang.Throwable cause)

      Parameters:
        `message` - The template of the exception message
        `context` - The data elements to be used to instantiate the template. Can be null if no context parameter is defined
        `patternDescription` - the PatternDescription where the exception occurred

  - ### Method Detail

    - #### bind

          protected static java.lang.String bind(java.lang.String message,
                                                 java.lang.String[] context)

      Binding the '{n}' (n = 1..N) strings to contextual conditions in 'context'
      Parameters:
        `context` - : array of context-sensitive Strings

    - #### getPatternDescription

          public java.lang.Object getPatternDescription()

    - #### getShortMessage

          public java.lang.String getShortMessage()

    - #### setPatternDescription

          public void setPatternDescription(java.lang.Object patternDescription)